package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_terminal_info的实体类
 */
public class TerminalInfo {
	private String id;
	private String name;
	private String remark;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private Integer sortNo;
	private Boolean active;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取终端注释
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置终端注释
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取备注
	 */
	public String getRemark(){
		return remark;
	}
	
	/**
	 *设置备注
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
	/**
	 *获取排序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}

	/**
	 *设置排序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}

	/**
	 * 是否在线
	 * @return
	 */
	public Boolean getActive() {
		return active;
	}

	public void setActive(Boolean active) {
		this.active = active;
	}
}